### Method

# Adw HeaderBarset_decoration_layout

#### Declaration [src]

    void
    adw_header_bar_set_decoration_layout (
      AdwHeaderBar* self,
      const char* layout
    )

#### Description [src]

Sets the decoration layout for `self`.

If this property is not set, the `GtkSettings:gtk-decoration-layout` setting is used.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear at the start from those at the end. Recognized button names are minimize, maximize, close and icon (the window icon).

For example, “icon:minimize,maximize,close” specifies an icon at the start, and minimize, maximize and close buttons at the end.

Sets property | `Adw.HeaderBar:decoration-layout`

#### Parameters

`layout`

  Type: `const char*`

  A decoration layout.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.